org.apache.sysds.runtime.privacy

## Class PrivacyMonitor

- java.lang.Object
- - org.apache.sysds.runtime.privacy.PrivacyMonitor

-     public class PrivacyMonitor
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrivacyMonitor()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearCheckedConstraints()`
    `static EnumMap<PrivacyConstraint.PrivacyLevel,LongAdder>` | `getCheckedConstraints()`
    `static Data` | `handlePrivacy(Data dataObject)` Throws DMLPrivacyException if privacy constraint is set to private or private aggregation.
    `static Data` | `handlePrivacyAllowAggregation(Data dataObject)` Throws DMLPrivacyException if privacy constraint of data object has level privacy.
    `static void` | `setCheckPrivacy(boolean checkPrivacyParam)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrivacyMonitor

          public PrivacyMonitor()

  - ### Method Detail

    - #### getCheckedConstraints

          public static EnumMap<PrivacyConstraint.PrivacyLevel,LongAdder> getCheckedConstraints()

    - #### clearCheckedConstraints

          public static void clearCheckedConstraints()

    - #### setCheckPrivacy

          public static void setCheckPrivacy(boolean checkPrivacyParam)

    - #### handlePrivacy

          public static Data handlePrivacy(Data dataObject)

      Throws DMLPrivacyException if privacy constraint is set to private or private aggregation.
      Parameters:
        `dataObject` - input data object
      Returns:
        data object or data object with privacy constraint removed in case the privacy level was none.

    - #### handlePrivacyAllowAggregation

          public static Data handlePrivacyAllowAggregation(Data dataObject)

      Throws DMLPrivacyException if privacy constraint of data object has level privacy.
      Parameters:
        `dataObject` - input matrix object
      Returns:
        data object or data object with privacy constraint removed in case the privacy level was none.

Copyright © 2020 The Apache Software Foundation. All rights reserved.